Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038344
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-04-12 12:292018-05-09 19:29
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisionad75e9315716
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038344: Restart tomcat 8.0 not working after installing a module through MMC using JDK9

DescriptionRestart tomcat 8.0 not working after installing a module through MMC using JDK9
Steps To Reproduce0) Build openbravo using JDK9 and deploy it in Tomcat 8
1) Login as system admin and navigate to the Module Management window
2) Install a module
3) Restart tomcat -> Note that restart is not completed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00383463.0PR18Q2 closedcaristu Restart tomcat 8.0 not working after installing a module through MMC using JDK9 
related to defect 0038357 closedcaristu Unused connection pool created on module installation 
blocks feature request 0037083 closedalostale support JDK 9 

-  Notes
(0103850)
hgbot (developer)
2018-04-12 16:35

Repository: erp/devel/pi
Changeset: ad75e9315716eb5bbff2a6fdd6083b381fcb6c21
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Apr 12 16:28:17 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ad75e9315716eb5bbff2a6fdd6083b381fcb6c21 [^]

fixes issue 38344: Restart tomcat 8.0 through MMC using JDK9 is not working

  The "tomcat.restart.do" task used to restart tomcat from MMC is starting tomcat with the -Djava.endorsed.dirs= system property setting. The endorsed feature is no longer supported with Java 9[1] and we are not making use of it with previous JDKs. For this reason we are directly removing it.

[1] https://docs.oracle.com/javase/9/migrate/toc.htm#JSMIG-GUID-8E83E51A-88A3-4E9A-8E2A-66E1D66A966C [^]

---
M build.xml
---
(0103865)
alostale (developer)
2018-04-13 08:21

reviewed + tested
(0104376)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-04-12 12:29 caristu New Issue
2018-04-12 12:29 caristu Assigned To => platform
2018-04-12 12:29 caristu Modules => Core
2018-04-12 12:29 caristu Triggers an Emergency Pack => No
2018-04-12 12:36 caristu Status new => scheduled
2018-04-12 12:36 caristu Assigned To platform => caristu
2018-04-12 14:16 caristu Relationship added blocks 0037083
2018-04-12 16:35 hgbot Checkin
2018-04-12 16:35 hgbot Note Added: 0103850
2018-04-12 16:35 hgbot Status scheduled => resolved
2018-04-12 16:35 hgbot Resolution open => fixed
2018-04-12 16:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ad75e9315716eb5bbff2a6fdd6083b381fcb6c21 [^]
2018-04-12 16:37 caristu Review Assigned To => alostale
2018-04-12 16:49 caristu Relationship added related to 0038357
2018-04-13 08:21 alostale Note Added: 0103865
2018-04-13 08:21 alostale Status resolved => closed
2018-04-13 08:21 alostale Fixed in Version => 3.0PR18Q3
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104376


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker